> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List



## OpenAPI

````yaml /openapi_v4_core.json get /v4/core/webhook-credential
openapi: 3.0.0
info:
  title: Commenda Integrations V4 API
  description: Commenda Integrations — unified accounting, commerce, and CRM API.
  version: 4.0.0
  contact: {}
servers:
  - url: https://api.integrations.commenda.io
    description: Production
security:
  - api_key: []
tags: []
paths:
  /v4/core/webhook-credential:
    get:
      tags:
        - WebhookCredential
      summary: List
      operationId: WebhookCredentialController_list
      parameters:
        - name: integration_type
          required: false
          in: query
          schema:
            type: string
            enum:
              - BUSY
              - CLEARBOOKS
              - FREEAGENT
              - FRESHBOOKS
              - KASHFLOW
              - MEKARI_JURNAL
              - MS_DYNAMICS_365
              - MS_DYNAMICS_365_FO
              - MYOB_BUSINESS
              - NETSUITE
              - ODOO_ACCOUNTING
              - QOYOD
              - QUICKBOOKS
              - QUICKBOOKS_SANDBOX
              - ROOTFI_SANDBOX
              - SAGE_CLOUD_ACCOUNTING
              - SAGE_ZA_CLOUD_ACCOUNTING
              - SAGE_INTACCT
              - TALLY
              - WAFEQ
              - WAVE
              - XERO
              - ZOHO_BOOKS
              - PUZZLE_SANDBOX
              - PUZZLE
              - RILLET
              - RILLET_SANDBOX
              - AMAZON
              - BIG_COMMERCE
              - SHOPIFY
              - SQUARESPACE
              - WIX
              - WOO_COMMERCE
              - GOOGLE_PLAYSTORE
              - CHARGEBEE
              - MOLLIE
              - PAYPAL
              - PAYPAL_SANDBOX
              - RAZORPAY
              - SQUARE
              - SQUARE_SANDBOX
              - STRIPE
              - STRIPE_TEST
              - STRIPE_SANDBOX
              - ZOHO_INVOICE
              - PADDLE
              - PADDLE_SANDBOX
              - HUBSPOT
              - PIPEDRIVE
              - SALES_FORCE
              - ZOHO_CRM
              - GUSTO
        - name: rootfi_company_id
          required: false
          in: query
          schema:
            minimum: 1
            nullable: true
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWebhookCredentialsResponse'
components:
  schemas:
    ListWebhookCredentialsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/SerializedWebhookCredential'
      required:
        - data
    SerializedWebhookCredential:
      type: object
      properties:
        rootfi_id:
          type: number
        rootfi_created_at:
          type: string
        rootfi_updated_at:
          type: string
        rootfi_organisation_id:
          type: number
        integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        rootfi_company_id:
          type: object
          nullable: true
        verification_token:
          type: object
          nullable: true
        verification_mode:
          type: string
          enum:
            - URL_PARAM
            - HEADER
          nullable: true
        signing_secret_masked:
          type: object
          nullable: true
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_organisation_id
        - integration_type
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key
      description: Your Commenda Integrations API key, sent in the `api_key` header.

````